<app-loading *ngIf="isLoading"></app-loading>
<div class='app-card'>
  <form nz-form [formGroup]="searchForm">
    <div class="app-row" nz-row [nzGutter]="[30, 0]">
      <div nz-col nzXs="12" nzLg="6">
        <mb-date-picker [mbType]="isSubmitted && (searchForm.controls['fromDate'].errors || searchForm.errors?.['rangeDateError']) ? 'error' : 'default'"
                        [mbShowError]="isSubmitted && (searchForm.controls['fromDate'].errors || searchForm.errors?.['rangeDateError']) != null"
                        [mbErrors]="searchForm.errors?.['rangeDateError'] ? searchForm.errors : searchForm.controls['fromDate'].errors"
                        [mbErrorDefs]="[
          { errorName: 'required', errorDescription: 'angleIt.validate.required' | translate: {'param': 'angleIt.label.fromDate' | translate }},
          { errorName: 'rangeDateError', errorDescription: 'angleIt.validate.rangeDate.pareDate' | translate:
          {'fromDate': 'angleIt.label.fromDate' | translate, 'toDate': 'angleIt.label.toDate' | translate}}
          ]"
                        mbPlaceholderText="{{'angleIt.label.fromDate' | translate}}"
                        mbLabelText="{{'angleIt.label.fromDate' | translate}}"
                        formControlName="fromDate"></mb-date-picker>
      </div>
      <div nz-col nzXs="12" nzLg="6">
        <mb-date-picker [mbType]="isSubmitted && (searchForm.controls['toDate'].errors || searchForm.errors?.['rangeDateError']) ? 'error' : 'default'"
                        [mbShowError]="isSubmitted && searchForm.controls['toDate'].errors != null"
                        [mbErrors]="searchForm.controls['toDate'].errors"
                        [mbErrorDefs]="[
          { errorName: 'required', errorDescription: 'angleIt.validate.required' | translate: {'param': 'angleIt.label.toDate' | translate }}]"
                        mbPlaceholderText="{{'angleIt.label.toDate' | translate}}"
                        mbLabelText="{{'angleIt.label.toDate' | translate}}"
                        formControlName="toDate"></mb-date-picker>
      </div>
      <div nz-col nzXs="12" nzLg="6">
        <mb-select [mbDataSelects]="listType"
                   mbPlaceholder="{{'angleIt.sendHistory.classify' | translate}}"
                   mbLabelText="{{'angleIt.sendHistory.classify' | translate}}"
                   formControlName="type"></mb-select>
      </div>

      <div nz-col nzXs="12" nzLg="6" class='button-search'>
        <mb-button mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="search(1)"
                   mbButtonAvailableStyle="SEARCH" mbButtonText="{{'common.label.search' | translate}}">
        </mb-button>
      </div>
    </div>
  </form>
</div>

<div class="app-list report-table">
  <mb-table-merge-cell-wrap>
    <mb-table-merge-cell
      (changePageNum)="search($event)"
      [tableConfig]="tableConfig"
      [dataList]="listData"
      [isScrollHeight]="true"
      nzScrollHeight="50vh"
    ></mb-table-merge-cell>
  </mb-table-merge-cell-wrap>
</div>

<!--Hành động-->
<ng-template #actionTmpl let-type='type' let-index="index">
  <mb-button-icon mbButtonType="EYE" (click)="viewDetail(index)"> </mb-button-icon>
  <mb-button-icon *ngIf='type === 1' mbButtonType="COPY" (click)="copy(index)"> </mb-button-icon>
</ng-template>
<!--End: Hành động-->

<ng-template #typeTmpl let-type='type'>
  <ng-container *ngFor='let item of constant.SEND_HISTORY_TYPE'>
    <nz-tag [nzColor]="item.bgColor" [ngStyle]="{'color': item.color}" *ngIf='type === item.value'>{{item.label | translate}}</nz-tag>
  </ng-container>
</ng-template>

<ng-template #senderTmpl let-type='type' let-user1='user1' let-user2='user2'>
  {{type === 1 ? user1 : user2}}
</ng-template>

<ng-template #receiverTmpl let-type='type' let-user1='user1' let-user2='user2'>
  {{type === 1 ? user2 : user1}}
</ng-template>
